Use this API to return a single app rule configuration.
Resource URL
https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameters
app_id required integer | The id of the application that where the rules apply. |
id required integer | The id of the app rule to locate. |
Sample Responses
- 200 OK
- 401 Unauthorized
- 404 Not Found
{
"id": 196670,
"name": "My First rule",
"match": "all",
"enabled": true,
"position": 1,
"conditions": [
{
"source": "has_role",
"operator": "ri",
"value": "909876"
}
],
"actions": [
{
"action": "set_groups",
"value": [
"member_of"
],
"expression": ".*"
}
]
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
The App Rules API Postman Collections are nested in the Apps API Collection folder in the Rules folder.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Get a Rule
curl 'https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/:id' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.